echo "* Preparing bulk download ..."

STATUS_JSON=`./nuxeo_bulkdownload_prepare.sh /default-domain/workspaces/NXP-25068/File1,/default-domain/workspaces/NXP-25068/File2,/default-domain/workspaces/NXP-25068/File3`

DOWNLOAD_KEY=`echo $STATUS_JSON | jq -r .key`
DOWNLOAD_COMPLETED=`echo $STATUS_JSON | jq .completed`
DOWNLOAD_PROGRESS=`echo $STATUS_JSON | jq .progress`

echo "* Download key: $DOWNLOAD_KEY"
echo "* Download completed: $DOWNLOAD_COMPLETED"

while [ "$DOWNLOAD_COMPLETED" = "false" ]
do
    echo "* Checking status of bulk download $DOWNLOAD_KEY ..."
    STATUS_JSON=`./nuxeo_bulkdownload_status.sh $DOWNLOAD_KEY`
    echo "* $STATUS_JSON"
    DOWNLOAD_COMPLETED=`echo $STATUS_JSON | jq .completed`
    #DOWNLOAD_PROGRESS=`echo $STATUS_JSON | jq .progress`
    sleep 1
done

echo "* Downloading ZIP for bulk download $DOWNLOAD_KEY ..."
./nuxeo_bulkdownload_download.sh $DOWNLOAD_KEY

ls -altr | tail -n 1

exit 0
