#STATUS_JSON=`node ../nodejs/nuxeo_bulkdownload_prepare.js /default-domain/workspaces/NXP-25068/File1,/default-domain/workspaces/NXP-25068/File2,/default-domain/workspaces/NXP-25068/File3 -p "\"filename\": \"download.zip\"" -S -c ../nodejs/localhost_config.json`


USAGE="Usage: $0 <document_path(s)>\n"
if [ $# -lt 1 ]
then
    echo -e $USAGE
    exit
fi

if [ -z "$CONF_FILE" ]
then
    CONF_FILE=.setenv
fi
if [ ! -f "$CONF_FILE" ]
then
    echo "No configuration defined. Create a file named '.setenv' or set env. variable CONF_FILE"
    exit
fi
. $CONF_FILE

DOWNLOAD_KEY=$1

OP_NAME="Blob.BulkDownload"
DOCUMENT_PATH=$1
HTTP_METHOD="POST"
URL="$NUXEO_PROTOCOL://$NUXEO_SERVER/nuxeo/site/automation/$OP_NAME"
INPUT_PFX="docs"
#REQ_BODY="{ \"input\": \"$INPUT_PFX:$DOCUMENT_PATH\", \"params\": "\"filename\": \"NXP-25068_download.zip\"", \"context\": {} }"
REQ_BODY="{ \"input\": \"$INPUT_PFX:$DOCUMENT_PATH\", \"context\": {} }"

#echo "$HTTP_METHOD $URL $REQ_BODY"

curl -s -X $HTTP_METHOD -u $NUXEO_USER:$NUXEO_PASSWORD \
-H "Content-Type:application/json" \
-H "Accept: application/json+nxentity" \
-d "$REQ_BODY" \
$URL


